from setuptools import setup, find_packages

with open("requirements.txt", "r") as f:
    requirements = [
        req.strip()
        for req in f.readlines()
        if not req.startswith("#") and req.__contains__("==")
    ]

setup(name='csst_source_injection',
      version='1.0.0',
      packages=find_packages(),
      entry_points={
        'console_scripts': [
          'run_csst_injection=injection_pipeline.injection_pipeline:main',
          'run_csst_detrending=measurement_pipeline.run_csst_msc_instrument:main',
          'run_csst_photometry=measurement_pipeline.run_csst_msc_mbi_photometry:main'
        ]
      },
      package_data={
        'injection_pipeline.Catalog.data': ["*.fits"],
        'measurement_pipeline.L1_pipeline.csst_msc_mbi_photometry.data': ["*.config", "*.conv", "*.nnw", "*.param", "*.sex", "*.psfex"],
        'measurement_pipeline.L1_pipeline.csst_msc_instrument': ["instrument_cor_demo.head"],
        'measurement_pipeline.L1_pipeline.csst_msc_instrument.image.cosmicray.cr_model': ["*.pth"]
      },
      python_requires=">=3.11",
      install_requires=requirements,
)